function util = pointTrajectoryUtility(pts, env, sig)

util = 0;

for i=1:length(env.x_area)
    for j=1:length(env.y_area)
        dists = sqrt((pts(:,1) - env.x_area(i)).^2 + (pts(:,2) - env.y_area(j)).^2);
        if any(dists <= sig) % if anybody is close enough to get a measurement
            util = util + env.Z(j, i);
        end
    end
end

end